Index: build.win32x86/squeak.cog.v3/Makefile
===================================================================
--- build.win32x86/squeak.cog.v3/Makefile	(revision 3164)
+++ build.win32x86/squeak.cog.v3/Makefile	(working copy)
@@ -120,7 +120,7 @@
 #############################################################################
 # C compiler settings (gcc-3.4.4 cygwin 19.24)
 #
-CC:=gcc
+CC:= i686-pc-mingw32-gcc
 
 # VM config flags.
 ifeq ("$(CONFIGURATION)","product")
@@ -146,10 +146,10 @@
 # Set minimum version to WindowsXP (see /cygwin/usr/include//w32api/w32api.h)
 WINVER:=-D_WIN32_WINNT=0x0501 -DWINVER=0x0501
 
-INCLUDEPATH:= -isystem/usr/include/mingw -I/usr/include/w32api
+INCLUDEPATH:= -isystem/usr/i686-pc-mingw32/sys-root/mingw/include -I/usr/i686-pc-mingw32/sys-root/mingw/include
 # define _MT to eliminate the inline versions of printf et al in mingw/stdio.h
 NOBUILTIN:= -D_MT -fno-builtin-printf -fno-builtin-putchar -fno-builtin-fprintf
-CFLAGS:= $(INCLUDEPATH) -msse2 -ggdb2 -mwindows -mthreads -mno-cygwin -mwin32 \
+CFLAGS:= $(INCLUDEPATH) -mno-sse2 -ggdb2 -mwindows -mthreads -mwin32 \
 	-mno-rtd -mms-bitfields -mno-accumulate-outgoing-args $(OFLAGS) $(NOBUILTIN)
 TZ:=$(shell date +%Z)
 DEFS:=	$(COGDEFS) $(WINVER) -DWIN32 -DWIN32_FILE_SUPPORT -DNO_ISNAN \
@@ -165,33 +165,33 @@
 #       The switch '-mwindows' gives us a GUI app instead of a console app.
 #		Newer cygwins want --export-all-symbols in place of --export-dynamic.
 #
-LD:=	 gcc
-EXPORT:=--export-dynamic
-#EXPORT:=--export-all-symbols
-BASELDFLAGS:=-mno-cygwin -mthreads -Wl,--large-address-aware,$(EXPORT) -L/usr/lib/mingw
+LD:=	  i686-pc-mingw32-gcc
+#EXPORT:=--export-dynamic
+EXPORT:=--export-all-symbols
+BASELDFLAGS:= -mthreads -Wl,--large-address-aware,$(EXPORT) -L/usr/i686-pc-mingw32/sys-root/mingw/lib
 LDFLAGS:= -mwindows $(BASELDFLAGS)
 CONSOLELDFLAGS:= -mconsole $(BASELDFLAGS)
 STDLIBS:= -lddraw -ldinput -lopengl32 -lwsock32 -lcomdlg32 -lole32 -lwinmm \
-	-lversion -lwininet -luser32 -lgdi32 -lpsapi -lkernel32 -lcrtdll \
+	-lversion -lwininet -luser32 -lgdi32 -lpsapi -lkernel32 -lmsvcrt \
 	-ldsound -lsecur32
 
 #############################################################################
 # Tools to use
 #
-AR:= ar rc
+AR:= i686-pc-mingw32-ar rc
 CP:= cp
 RM:= rm
-DLLTOOL:=	dlltool
-DLLWRAP:=	dllwrap
-STRIP:=	strip
-OBJCOPY:=	objcopy
+DLLTOOL:=	i686-pc-mingw32-dlltool
+DLLWRAP:=	i686-pc-mingw32-dllwrap
+STRIP:=	i686-pc-mingw32-strip
+OBJCOPY:=	i686-pc-mingw32-objcopy
 
 #############################################################################
 # RC settings
 #
 # Note: RC compiles the .rc files into linkable .o files
 #
-RC:=	 windres
+RC:=	 i686-pc-mingw32-windres
 SVNREV:= $(shell sed -e "s/^static.*SvnRawRevisionString.*Rev: \([0-9][0-9]*\).*/\\1/p" -e d $(PLATDIR)/Cross/vm/sqSCCSVersion.h)
 RCFLAGS:= --include-dir $(PLATDIR)/win32/misc -D_WIN32 -DFILEVERSIONVALUES=4,0,$(SVNREV),0 '-DFILEVERSIONSTRING=\"4.0.$(SVNREV)\\0\"'
 
@@ -269,13 +269,13 @@
 	@echo -----------------------------------------------------
 
 eitheror.exe: $(WIN32UTILDIR)/eitheror.c
-	$(CC) -o $@ -O1 -mconsole -mno-cygwin $<
+	$(CC) -o $@ -O1 -mconsole $<
 
 mingw32ver.exe: $(WIN32UTILDIR)/mingw32ver.c
-	$(CC) -o $@ -O1 -mconsole -mno-cygwin $<
+	$(CC) -o $@ -O1 -mconsole $<
 
 mkNamedPrims.exe: $(WIN32UTILDIR)/mkNamedPrims.c
-	$(CC) -o $@ -mconsole -mno-cygwin $<
+	$(CC) -o $@ -mconsole $<
 
 $(BTOBJ):	$(WIN32MISCDIR)/btext.c
 	$(CC) -c -o $@ -fomit-frame-pointer -O2 $<
@@ -289,13 +289,13 @@
 	$(CC) -o $(OBJDIR)/version.o $(CFLAGS) $(INCLUDES) $(DEFS) -c $(WIN32DIR)/version.c
 	$(LD) $(LDFLAGS) -o $(VMEXE) \
 			$(BTOBJ) $(VMOBJ) $(VMEXP) $(OBJDIR)/resource.o $(LIBS) $(STDLIBS) $(ETOBJ)
-	nm --numeric-sort --defined-only -f bsd $(VMEXE) >$(VMMAP)
+	i686-pc-mingw32-nm --numeric-sort --defined-only -f bsd $(VMEXE) >$(VMMAP)
 
 $(CONSOLEVMEXE): $(VMOBJ) $(LIBS) $(VMEXP) resource.o $(BTOBJ) $(ETOBJ)
 	$(CC) -o $(OBJDIR)/version.o $(CFLAGS) $(INCLUDES) $(DEFS) -c $(WIN32DIR)/version.c
 	$(LD) $(CONSOLELDFLAGS) -o $(CONSOLEVMEXE) \
 			$(BTOBJ) $(VMOBJ) $(VMEXP) $(OBJDIR)/resource.o $(LIBS) $(STDLIBS) $(ETOBJ)
-	nm --numeric-sort --defined-only -f bsd $(CONSOLEVMEXE) >$(CONSOLEVMMAP)
+	i686-pc-mingw32-nm --numeric-sort --defined-only -f bsd $(CONSOLEVMEXE) >$(CONSOLEVMMAP)
 
 ifneq ($STRIPEXE,)
 $(STRIPEXE): $(VMEXE)
Index: build.win32x86/squeak.cog.v3/Makefile.plugin
===================================================================
--- build.win32x86/squeak.cog.v3/Makefile.plugin	(revision 3164)
+++ build.win32x86/squeak.cog.v3/Makefile.plugin	(working copy)
@@ -1,7 +1,7 @@
 #############################################################################
 # Generic Makefile for plugins
 #############################################################################
-AR:= ar rc
+AR:= i686-pc-mingw32-ar rc
 CP:= cp
 RM:= rm
 
@@ -51,12 +51,12 @@
 NDEBUG:=-DNDEBUG
 # Set minimum version to WindowsXP (see /cygwin/usr/include//w32api/w32api.h)
 WINVER:=-D_WIN32_WINNT=0x0501 -DWINVER=0x0501
-CC:=	gcc
+CC:=	 i686-pc-mingw32-gcc
 # define _MT to eliminate the inline versions of printf et al in mingw/stdio.h
 OFLAGS:= -D_MT -O1 -march=pentium4 -momit-leaf-frame-pointer -funroll-loops \
 		-fno-builtin-printf -fno-builtin-putchar -fno-builtin-fprintf
-INCLUDEPATH:= -isystem/usr/include/mingw -I/usr/include/w32api
-CFLAGS:= $(INCLUDEPATH) -msse2 -ggdb2 -mwindows -mdll -mno-cygwin -mwin32 \
+INCLUDEPATH:= -isystem/usr/i686-pc-mingw32/sys-root/mingw/include -I/usr/include/w32api
+CFLAGS:= $(INCLUDEPATH) -mno-sse2 -ggdb2 -mwindows -mdll -mwin32 \
 	-mno-rtd -mms-bitfields -mno-accumulate-outgoing-args $(OFLAGS)
 DEFS:=	$(WINVER) -DWIN32 -DWIN32_FILE_SUPPORT -DNO_ISNAN \
 		-DNO_SERVICE -DNO_STD_FILE_SUPPORT \
@@ -68,8 +68,8 @@
 # Note: By default DLLTOOL/DLLWRAP do the work for everything related to plugins
 # but if LINK_WITH_GCC we use gcc and if LINK_WITH_GPP we use g++.
 #
-DLLTOOL:=	dlltool
-DLLWRAP:=	dllwrap -mno-cygwin
+DLLTOOL:=	i686-pc-mingw32-dlltool
+DLLWRAP:=	i686-pc-mingw32-dllwrap
 #OPTSTRIP:=	strip # for production
 OPTSTRIP:=	echo not doing strip
 
@@ -129,8 +129,8 @@
 		$(DLLTOOLEXTRAS) \
 		$(LIBOBJ)
 ifneq ($(LINK_WITH_GCC),)
-	gcc -shared \
-		-mno-cygwin \
+	i686-pc-mingw32-gcc -shared \
+		 \
 		-def $(LIBNAME).def \
 		-o   $(VMDIR)/$(LIBNAME).dll \
 		--entry _DllMain@12 \
@@ -138,7 +138,7 @@
 		$(LIBOBJ) $(EXTRALIBS)
 else ifneq ($(LINK_WITH_GPP),)
 	g++ -shared \
-		-mno-cygwin \
+		 \
 		-def $(LIBNAME).def \
 		-o   $(VMDIR)/$(LIBNAME).dll \
 		--entry _DllMain@12 \
Index: build.win32x86/squeak.cog.v3/plugins.ext
===================================================================
--- build.win32x86/squeak.cog.v3/plugins.ext	(revision 3164)
+++ build.win32x86/squeak.cog.v3/plugins.ext	(working copy)
@@ -2,7 +2,6 @@
 # N.B. SqueakSSL is not ready for prime time.  Compiles but does not link fully.
 # See platforms/win32/plugins/SqueakSSL/Makefile
 EXTERNAL_PLUGINS = \
-BochsIA32Plugin \
 SqueakFFIPrims \
 Win32OSProcessPlugin
 
